javax.faces.event

## Interface SystemEventListenerHolder

- All Known Implementing Classes:
    ExceptionQueuedEventContext, HtmlBody, HtmlColumn, HtmlCommandButton, HtmlCommandLink, HtmlDataTable, HtmlDoctype, HtmlForm, HtmlGraphicImage, HtmlHead, HtmlInputFile, HtmlInputHidden, HtmlInputSecret, HtmlInputText, HtmlInputTextarea, HtmlMessage, HtmlMessages, HtmlOutcomeTargetButton, HtmlOutcomeTargetLink, HtmlOutputFormat, HtmlOutputLabel, HtmlOutputLink, HtmlOutputText, HtmlPanelGrid, HtmlPanelGroup, HtmlSelectBooleanCheckbox, HtmlSelectManyCheckbox, HtmlSelectManyListbox, HtmlSelectManyMenu, HtmlSelectOneListbox, HtmlSelectOneMenu, HtmlSelectOneRadio, UIColumn, UICommand, UIComponent, UIComponentBase, UIData, UIForm, UIGraphic, UIInput, UIMessage, UIMessages, UINamingContainer, UIOutcomeTarget, UIOutput, UIPanel, UIParameter, UISelectBoolean, UISelectItem, UISelectItems, UISelectMany, UISelectOne, UIViewAction, UIViewParameter, UIViewRoot

      public interface SystemEventListenerHolder

  Classes that implement this interface agree to maintain a list of `SystemEventListener` instances for each kind of `SystemEvent` they can generate. This interface enables arbitrary Objects to act as the source for `SystemEvent` instances.

  If the implementing class is a `UIComponent` or is referenced by a `UIComponent`, care must be taken to ensure that the implementing class, and all the members of the list returned by `getListenersForEventClass(java.lang.Class<? extends javax.faces.event.SystemEvent>)` work correctly with the state management system. One way to ensure this is to have the class and the list members implement `StateHolder` or `Serializable`.

  Since:
    2.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SystemEventListener>` | `getListenersForEventClass(Class<? extends SystemEvent> facesEventClass)`

- - ### Method Detail

    - #### getListenersForEventClass

          List<SystemEventListener> getListenersForEventClass(Class<? extends SystemEvent> facesEventClass)

      Return a `List` of `SystemEventListener` instances that have been installed into the class implementing this interface.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.